// Author: TU Berlin, Kartographieverbund/Creator: Mappetizer  8.1.4 for ArcGIS by uismedia (http://www.mappetizer.de); 09.03.2010 15:11:18
var mv_Query = null;
dojo.require("dojo.parser");
dojo.require("dijit.layout.BorderContainer");
dojo.require("dijit.layout.ContentPane");
dojo.require("dijit.layout.TabContainer");
dojo.require("dijit.form.Button");
dojo.require("dijit.Toolbar");
dojo.require("dijit.TitlePane");

dojo.addOnLoad(function() {
  //Do not delete or change this function
  var leg = mv_embedSVGNode(dojo.doc,"MVlegendDoc","406px","1716px","embfiles/legend.svg");
  dojo.byId("MVlegend").appendChild(leg);

  var map = mv_embedSVGNode(dojo.doc,"MVmapDoc","852px","789px","embfiles/map.svg");
  dojo.byId("MVmap").appendChild(map);

  // Add functions to toolbar
  dojo.connect(dojo.byId("MVtoolbar.zoomin"),"onclick",mv_zoomInTool);
  dojo.connect(dojo.byId("MVtoolbar.zoomout"),"onclick",mv_zoomOutTool);
  dojo.connect(dojo.byId("MVtoolbar.pan"),"onclick",mv_panTool);
  dojo.connect(dojo.byId("MVtoolbar.fullextent"),"onclick",mv_fullExtent);
  dojo.connect(dojo.byId("MVtoolbar.previousextent"),"onclick",mv_zoomPreviousExtentTool);
  dojo.connect(dojo.byId("MVtoolbar.nextextent"),"onclick",mv_zoomNextExtentTool);
  dojo.connect(dojo.byId("MVtoolbar.identify"),"onclick",mv_identifyTool);
  dojo.connect(dojo.byId("MVtoolbar.koord"),"onclick",mv_coordinateTool);
  dojo.connect(dojo.byId("MVtoolbar.measure"),"onclick",mv_measureTool);
  dojo.connect(dojo.byId("MVtoolbar.print"),"onclick",mv_windowPrint);
  dojo.connect(dojo.byId("MVtoolbar.help"),"onclick",mv_showHelp);
  dojo.connect(dojo.byId("MVmeasureToolbar.line"),"onclick",mv_measureLineTool);
  dojo.connect(dojo.byId("MVmeasureToolbar.area"),"onclick",mv_measureAreaTool);
  dojo.connect(dojo.byId("MVmeasureToolbar.sum"),"onclick",mv_measureSumTool);
  dojo.connect(dojo.byId("MVmeasureToolbar.clear"),"onclick",mv_measureClearTool);
  dojo.connect(dojo.byId("body"),"onresize",mv_resizeMap);

  mv_checkLoaded();
});

function mv_DocSettings() {
  //Do not delete or change this function;
  mv_Doc.userSettings("white","silver","yellow","orangered","#ECE9D8",true,true);
  mv_Doc.txtIESupport = "Ce site a besoin d'Adobe SVG Viewer 3.0 (Plug-In gratuit)\n(http://www.adobe.com/svg/viewer/install/main.html).";
  mv_Doc.txtQueryNoRec = "Aucun enregistrement trouve";
  mv_Doc.txtQueryRec1 = " sur ";
  mv_Doc.txtQueryRec2 = " slectionns:";
  mv_Doc.txtQueryRec3 = "Jeux de donnees";
  mv_Doc.txtQueryHead = "Rsultat de la requte";
  mv_Doc.txtQueryHelpTable = "Note:<br>Bouger le curseur sur les lignes pour le slectionner sur la carte.";
  mv_Doc.txtQueryStatus1 = "Le tableau est en chargement, veuillez patientez ...";
  mv_Doc.txtQueryStatus2 = "Le tableau est charg.";
  mv_Doc.txtRecNo = "N";
  mv_Doc.txtQueryBack = "Gnrateur de requtes";
  mv_Doc.txtQueryClear = "Clear Selection";
  mv_Doc.txtFlicker = "Highlight object";
  mv_Doc.txtZoomTo = "Zoom to object";
  mv_Doc.txtClose = "Fermer la fentre";
  mv_Doc.CheckStatus = "a05uML7";
  new MV.ZoomObject("MVlistZoomObject",0);
}

function mv_MapSettings() {
  //Do not delete or change this function;
  new MV.Layer("th0",true,true,true,true,false,"GroupLayer","");
  new MV.Layer("th0-0",true,true,true,true,false,"FeatureLayer","");
  new MV.Layer("th0-1",true,true,true,true,false,"FeatureLayer","","th0-1txt0");
  new MV.Layer("th0-2",true,true,true,true,false,"FeatureLayer","","th0-2txt0");
  new MV.Layer("th0-3",true,true,true,true,false,"FeatureLayer","","th0-3txt0");
  new MV.Layer("th1",true,true,true,true,false,"GroupLayer","");
  new MV.Layer("th1-0",true,true,true,true,false,"FeatureLayer","","th1-0txt0");
  new MV.Layer("th1-1",true,true,true,true,false,"FeatureLayer","","th1-1txt0");
  new MV.Layer("th1-2",true,true,true,true,false,"FeatureLayer","","th1-2txt0");
  new MV.Layer("th1-3",true,true,true,true,false,"FeatureLayer","","th1-3txt0");
  new MV.Layer("th1-4",true,true,true,true,false,"FeatureLayer","","th1-4txt0");
  new MV.Layer("th2",true,true,true,true,false,"GroupLayer","");
  new MV.Layer("th2-0",true,true,true,true,false,"FeatureLayer","");
  new MV.Layer("th2-1",true,true,true,true,false,"FeatureLayer","");
  new MV.Layer("th2-2",true,true,true,true,false,"FeatureLayer","");
  new MV.Layer("th2-3",true,true,true,true,false,"FeatureLayer","");
  new MV.Layer("th3",true,true,true,true,false,"GroupLayer","");
  new MV.Layer("th3-0",true,true,true,true,false,"GroupLayer","");
  new MV.Layer("th3-0-0",true,true,true,true,false,"FeatureLayer","","th3-0-0txt0");
  new MV.Layer("th3-0-1",true,true,true,true,false,"FeatureLayer","","th3-0-1txt0");
  new MV.Layer("th3-0-2",true,true,true,true,false,"FeatureLayer","","th3-0-2txt0");
  new MV.Layer("th3-1",true,true,true,true,false,"GroupLayer","");
  new MV.Layer("th3-1-0",true,false,false,true,false,"FeatureLayer","","th3-1-0txt0");
  new MV.Layer("th3-1-1",true,false,false,true,false,"FeatureLayer","","th3-1-1txt0");
  new MV.Layer("th3-2",true,true,true,true,false,"FeatureLayer","","th3-2txt0");
  new MV.Layer("th3-3",true,false,false,true,false,"FeatureLayer","");
  new MV.Layer("th4",true,true,true,true,false,"GroupLayer","");
  new MV.Layer("th4-0",true,true,true,true,false,"FeatureLayer","","th4-0txt0");
  new MV.Layer("th4-1",true,true,true,true,false,"FeatureLayer","","th4-1txt0");
  new MV.Layer("th4-2",true,true,true,true,false,"FeatureLayer","","th4-2txt0");
  new MV.Layer("th4-3",true,true,true,true,false,"FeatureLayer","","th4-3txt0");
  new MV.Layer("th4-4",true,true,true,true,false,"FeatureLayer","","th4-4txt0");
  new MV.Layer("th4-5",true,true,true,true,false,"FeatureLayer","");
  new MV.Layer("th4-6",true,true,true,true,false,"FeatureLayer","","th4-6txt0");
  new MV.Layer("th5",true,true,true,true,false,"GroupLayer","");
  new MV.Layer("th5-0",true,true,true,true,false,"FeatureLayer","","th5-0txt0");
  new MV.Layer("th5-1",true,true,true,true,false,"FeatureLayer","");
  mv_Map.userSettings(-539274,2819669,9.86182669789227,0,true,3393,"");
}

function mv_initializeLegend() {
  //Do not delete or change this function;
}

function mv_initializeShareGeomLegend() {
  //Do not delete or change this function;
}

function mv_ScalebarSettings() {
  //Do not delete or change this function;
  mv_Scalebar.userSettings(2,202,2000);
}

function mv_initializeSettings() {
 //Do not delete or change this function;

  mv_declareClassQueryBuilder();
  mv_Query = new MV.QueryBuilder();
  mv_Doc.TableWinNew = false;
  mv_Query.txtHelp = 'Pour construire une expression, cliquez successivement sur\nle champ qui vous intresse, sur un oprateur et enfin sur la\nvaleur de rfrence de votre requte.\nVous pouvez aussi crire directement votre requte.\nLes noms de champ doivent tre entre parenthses.\n\n[CDC] = 2101\n\nDans vos requtes, les caractres de type texte doivent\ntoujours tre entre doubles guillemets.\n\n[TYP] = "MARE"\n\nUtilisez l oprateur LIKE (au lieu de l oprateur =) pour les\nrecherches effectues  l aide des caractres gnriques (ou jokers).\n"%" remplace un nombre quelconque de caractres.\n\n[TYP] like "M%"\n\nVous pouvez combiner les oprateurs AND et OR dans une requte.\n\n[CDC] >= 2101 or [HA] >= 0';

  mv_declareClassIdentifyTP();

  mv_Doc.Toolbars = new MV.List();
  mv_declareClassToolbar();
  mv_createToolbar();
  dojo.byId("MVtoolbar.identify").click();
  mv_declareClassMeasure();
  mv_Measure = new MV.Measure();
  mv_Measure.userSettings("Distance","Primtre","L'aire","Total","m","m",1,2);
}


function mv_showHelp() {
  var theWin = window.open("embfiles/help.html","MVHelp", "width=475,height=600,top=50,left=50,toolbar=no,menubar=no,location=no,hotkeys=no,resizable=yes,scrollbars=yes,dependent=yes,status=no");
  theWin.focus();
}


function mv_userInit() {
//This function is for your own scripts, it will be called on loading, do not delete it
//mv_alert("function mv_userInit()");
}

function mv_userMVDocToolbar(objButton) {
//This function is for your own toolbar buttons, do not delete it
//  switch(objButton.id) {
//      case "MVtoolbar.mybutton":
//          objButton.Function = "testFunc('hier',2)";
//          objButton.State = 1;  //this button is a radio button
//          break;
//  }
}

